<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:context="http://www.springframework.org/schema/context" xmlns:task="http://www.springframework.org/schema/task"
	 xmlns:aop="http://www.springframework.org/schema/aop"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
		http://www.springframework.org/schema/task http://www.springframework.org/schema/task/spring-task-3.0.xsd
		http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop-2.5.xsd">
    
    <import resource="classpath*:/spring/sqlDataContext.xml" />

    <context:component-scan base-package="com.mindink" annotation-config="true"/> 
	
	
    <task:annotation-driven executor="mindinkTaskExecutor" scheduler="mindinkTaskScheduler"/>

	<task:executor id="mindinkTaskExecutor" 
               pool-size="${task.executor.pool_size}"
               queue-capacity="${task.executor.queue_size}"
               rejection-policy="DISCARD"/>
               
    <task:scheduler id="mindinkTaskScheduler" pool-size="${task.scheduler.pool_size}"/>

 	<aop:aspectj-autoproxy proxy-target-class="true"/>
 	
 	
 	<bean id="connectionFactoryLocator" class="org.springframework.social.connect.support.ConnectionFactoryRegistry">
		 <property name="connectionFactories">
		 	<list>
		 		<bean id="facebookConnectionFactory" class="org.springframework.social.facebook.connect.FacebookConnectionFactory">
					<constructor-arg index="0" value="${facebook.clientId}"/>
					<constructor-arg index="1" value="${facebook.clientSecret}"/>
				</bean>
				<!-- 
		 		<bean id="twitterConnectionFactory" class="org.springframework.social.twitter.connect.TwitterConnectionFactory">
					<constructor-arg index="0" value="${twitter.clientId}"/>
					<constructor-arg index="1" value="${twitter.clientSecret}"/>
				</bean>
				 -->
		 	</list>
		 </property>
	</bean>
    
</beans>
